#1868 closed defect (fixed)

LM32 interrupt handler is broken

Reported by: Sebastien Bourdeauducq Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: major Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

A series of patches updating the LM32 IRQ code to match the changing internal APIs have broken it to the point a "hello world" would not work on real hardware. The attached patch reimplements it based on the latest NIOS code, and allows Flickernoise to boot on the Milkymist hardware.

Attachments (2)

lm32irq.diff (3.4 KB) - added by Sebastien Bourdeauducq on Aug 1, 2011 at 9:09:09 AM.
patch
irq2.diff (648 bytes) - added by Sebastien Bourdeauducq on Aug 2, 2011 at 1:35:32 PM.
New patch

Download all attachments as: .zip

Change History (6)

Changed on Aug 1, 2011 at 9:09:09 AM by Sebastien Bourdeauducq

Attachment: lm32irq.diff added

patch

comment:1 Changed on Aug 1, 2011 at 10:20:02 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Aug 2, 2011 at 1:35:32 PM by Sebastien Bourdeauducq

Attachment: irq2.diff added

New patch

comment:2 Changed on Aug 2, 2011 at 1:35:32 PM by Sebastien Bourdeauducq

attachments.isobsolete: 01

comment:3 Changed on Aug 18, 2011 at 5:45:58 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Committed to CVS head.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.